curl --request GET \
--url https://api.splose.com/v1/cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"contactId": 1,
"issueDate": "2024-06-09T14:30:00.000Z",
"expiryDate": "2024-06-25T14:29:59.000Z",
"hours": 32,
"practitionerId": 1,
"items": [
{
"typeId": 1,
"type": "Appointment"
}
],
"organisationId": 1,
"patientId": 2,
"caseNumber": "0002",
"budget": 200,
"appointmentCount": 12,
"providerNumber": "1512",
"referralPeriod": "Standard",
"notes": "Notes",
"trackType": "Budget",
"includeDidNotArrive": true,
"includeCancelled": true,
"isOpen": true,
"hasAlert": true,
"remindTime": "Time",
"utilisationAlert": 1,
"isAlertUtilizationSent": true,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single case
Get case data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with case data.
Case id
x > 01
Contact Id
x > 01
Issued date in YYYY-MM-DD HH:MM:SS format
"2024-06-09T14:30:00.000Z"
Expiry date in YYYY-MM-DD HH:MM:SS format
"2024-06-25T14:29:59.000Z"
hours
32
Practitioner id
x > 01
An array of appointment connections associated with this case
Show child attributes
Show child attributes
Organisation id
x > 01
Patient id
x > 02
Case number
"0002"
Budget
200
Appointment count
12
Provider number
"1512"
Referral Period
"Standard"
Notes
"Notes"
Track type
Appointments, Hours, Budget "Budget"
Did not arrive
true
Include cancelled
true
Is open
true
Has alert
true
Remind time
"Time"
Utilisation alert
1
Is alert utilization sent
true
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"